yast2-ncurses: NCSelectionBox Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCSelectionBox Class Reference

`#include <NCSelectionBox.h>`

Inheritance diagram for NCSelectionBox:

List of all members.

## Public Member Functions
| NCSelectionBox (NCWidget *parent, const YWidgetOpt &opt, const YCPString &label)
virtual | ~NCSelectionBox ()
bool | bigList () const
void | setBigList (const bool big)
virtual void | itemAdded (const YCPString &string, int index, bool selected)
virtual long | nicesize (YUIDimension dim)
virtual void | setSize (long newwidth, long newheight)
virtual void | setLabel (const YCPString &nlabel)
virtual int | getCurrentItem ()
virtual void | setCurrentItem (int index)
virtual NCursesEvent | wHandleInput (wint_t key)
virtual void | setEnabling (bool do_bv)
virtual bool | setKeyboardFocus ()
string | getLine (const int &index)
void | clearTable ()
## Protected Member Functions
virtual const char * | location () const
virtual NCPad * | CreatePad ()
virtual void | wRecoded ()
## Protected Attributes
NCTablePad *& | pad
bool | biglist
bool | immediate
## Private Member Functions
NCSelectionBox & | operator= (const NCSelectionBox &)
| NCSelectionBox (const NCSelectionBox &)
## Friends
std::ostream & | operator<< (std::ostream &STREAM, const NCSelectionBox &OBJ)

## Constructor & Destructor Documentation

NCSelectionBox::NCSelectionBox | ( | const NCSelectionBox & |  | ) | `[private]`

NCSelectionBox::NCSelectionBox | ( | NCWidget * | parent,
|  | const YWidgetOpt & | opt,
|  | const YCPString & | label
| ) |

NCSelectionBox::~NCSelectionBox | ( |  | ) | `[virtual]`

## Member Function Documentation

bool NCSelectionBox::bigList | ( |  | ) | const`[inline]`

void NCSelectionBox::clearTable | ( |  | ) | `[inline]`

NCPad * NCSelectionBox::CreatePad | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

int NCSelectionBox::getCurrentItem | ( |  | ) | `[virtual]`

| Implements YSelectionBox.

string NCSelectionBox::getLine | ( | const int & | index | ) |

void NCSelectionBox::itemAdded | ( | const YCPString & | string,
|  | int | index,
|  | bool | selected
| ) | `[virtual]`

| Reimplemented from YSelectionBox.

virtual const char* NCSelectionBox::location | ( |  | ) | const`[inline, protected, virtual]`

| Reimplemented from NCPadWidget.

long NCSelectionBox::nicesize | ( | YUIDimension | dim | ) | `[virtual]`

| Implements YWidget.

NCSelectionBox& NCSelectionBox::operator= | ( | const NCSelectionBox & |  | ) | `[private]`

void NCSelectionBox::setBigList | ( | const bool | big | ) | `[inline]`

void NCSelectionBox::setCurrentItem | ( | int | index | ) | `[virtual]`

| Implements YSelectionBox.

virtual void NCSelectionBox::setEnabling | ( | bool | do_bv | ) | `[inline, virtual]`

| Pure virtual to make shure every widget implements it. Necessary to make shure that UI requests via YWidget::setEnabling perform, and behave the same way as direct calls to NCWidget::setEnabling. Defaut implementation is provided, and for most derived widgets it's ok to simply use it. Reimplemented from NCPadWidget.

virtual bool NCSelectionBox::setKeyboardFocus | ( |  | ) | `[inline, virtual]`

| Reimplemented from YWidget.

void NCSelectionBox::setLabel | ( | const YCPString & | nlabel | ) | `[virtual]`

| Reimplemented from YSelectionBox.

void NCSelectionBox::setSize | ( | long | newwidth,
|  | long | newheight
| ) | `[virtual]`

| Reimplemented from YWidget.

NCursesEvent NCSelectionBox::wHandleInput | ( | wint_t | key | ) | `[virtual]`

| Reimplemented from NCWidget.

void NCSelectionBox::wRecoded | ( |  | ) | `[protected, virtual]`

| Reimplemented from NCPadWidget.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | STREAM,
|  | const NCSelectionBox & | OBJ
| ) | `[friend]`

## Member Data Documentation

bool NCSelectionBox::biglist`[protected]`

bool NCSelectionBox::immediate`[protected]`

NCTablePad*& NCSelectionBox::pad`[protected]`

| Reimplemented from NCPadWidget.

The documentation for this class was generated from the following files:

- NCSelectionBox.h
- NCSelectionBox.cc